I have a huge (112mb) database that has corrupt version information. Certain tables when I try to access them popup the error "This object requires a newer version of the microsoft jet database engine".

I have the most recent version of the jet database, and that is not the problem. After much research on the net, I came across a forum post that describes the problem as being a corruption in the version info inside the mdb file.

Can anyone tell me how to correct this version info in the file, or any other means to access this very important data? The backups were also corrupted.

I was able to partially recover much of the database by importing the non-corrupt tables into a new mdb file, but the ones that are missing are the most important ones!

jetcomp does not work. compact and repair does not work.

Please help!